#
# spec file for package openttd-openmsx
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openttd-openmsx
Version:        0.3.1
Release:        bp153.1.11
Summary:        An OpenTTD Music set
License:        GPL-2.0
Group:          Amusements/Games/Strategy/Other

Url:            http://dev.openttdcoop.org/projects/openmsx
Source0:        http://bundles.openttdcoop.org/openmsx/releases/%{version}/openmsx-%{version}-source.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

BuildRequires:  python
Requires:       openttd-data >= 1.2
%if 0%{?suse_version} || 0%{?mdkversion}
Recommends:     timidity
%endif

%description
OpenMSX is an open source replacement for the original Transport Tycoon Deluxe (TTD) 
music. All contributions are licensed under the GPL v2.

%prep
%setup -qn openmsx-%{version}-source

%build
make %{?_smp_mflags} _V=

%install
%define omsxdir %{_datadir}/openttd/baseset
make install INSTALL_DIR=%{buildroot}%{omsxdir} _V=
#openmsx adds a versioned dir to the install dir
%define omsxdir %{_datadir}/openttd/baseset/openmsx-%{version}

%files
%defattr(-,root,root,-)
%dir %{_datadir}/openttd
%dir %{_datadir}/openttd/baseset
%dir %{omsxdir}
%doc %{omsxdir}/changelog.txt
%doc %{omsxdir}/license.txt
%doc %{omsxdir}/readme.txt
%{omsxdir}/openmsx.obm
%{omsxdir}/*.mid

%changelog
* Mon Mar 19 2012 suse@ammler.ch
- change timidity from requires to recommends (bnc#752669)
* Fri Mar 16 2012 suse@ammler.ch
- new install location for basesets
* Thu Mar 15 2012 cfarrell@suse.com
- license update: GPL-2.0
  SPDX format
* Sun Oct 31 2010 ammler@openttdcoop.org
- rename to openttd-openmsx to make it compliment to other distros
* Tue Aug 10 2010 ammler@openttdcoop.org
- upstream update 0.3.1
* Thu Jul 15 2010 ammler@openttdcoop.org
- upstream update 0.3.0
  first complete set
* Thu Apr  1 2010 Marcel Gmür <ammler@openttdcoop.org>
- upstream update 0.2.1
* Sun Mar 14 2010 Marcel Gmür <ammler@openttdcoop.org>
- Upstream update 0.2.0
* Sat Feb 27 2010 ammler@openttdcoop.org
- requires timidity
* Sat Feb 27 2010 ammler@openttdcoop.org
- initial release 0.1.0
